;nvns command

C_nextbank	macro
	C_goto C_bank_\@
C_bank_e_\@
	.bank BANK(C_bank_e_\@) + 1
	.org $8000
C_bank_\@
	.endm

C_br		macro
	db $00
	.endm
C_np		macro
	db $01
	.endm
C_keywait	macro
	db $02
	.endm
C_wait		macro
	db $03,\1
	.endm
C_curpos	macro
	db $02
	db $05,\1
	.endm

C_BG_set	macro
	IF \1 < 256
	db $10,\1
	ELSE
	db $10, ( \1 - BG_DATA ) / 4
	ENDIF
	.endm

C_BG_bankchg	macro
	db $11,\1
	.endm

C_BG_attchg	macro
	IF \1 < 256
	db $12,\1
	ELSE
	db $12, ( \1 - ATT_DATA ) / $28
	ENDIF
	.endm

C_BG_palchg	macro
	IF \1 < 256
	db $13,\1
	ELSE
	db $13, ( \1 - PAL_DATA ) / $10
	ENDIF
	.endm

C_BG_vscrol	macro
	db $14,\1
	.endm


C_SPR_set	macro
	IF \1 < 256
	db $20,\1
	ELSE
	db $20, ( \1 - SPR_DATA ) / 4
	ENDIF
	.endm

C_SPR_palchg	macro
	db $21,\1
	.endm

C_SPR_bankchg	macro
	db $22,\1
	.endm

C_SPR_path	macro
	db $23,\1
	.endm

C_SPR_dataset	macro
	db $24,\1
	.endm

C_SPR_mvall	macro
	db $25,\1,\2
	.endm

C_SPR_mv	macro
	db $26,\1,\2+1,\3,\4
	.endm



C_goto		macro
	db $30,#BANK(\1)
	dw \1
	.endm
;C_goto		macro
;	db $31
;	dw \1
;	.endm

C_gosub		macro
	db $34,#BANK(\1)
	dw \1
	.endm
;C_gosub		macro
;	db $32
;	dw \1
;	.endm
C_return	macro
	db $33
	.endm

C_if_zero	macro
	db $35
	dw \1
	dw \2
	.endm
C_if_plus	macro
	db $36
	dw \1
	dw \2
	.endm
C_if_minus	macro
	db $37
	dw \1
	dw \2
	.endm


C_select2	macro
	db $00
	db $40,1
	db $41
	dw .C_select_1\@
	dw .C_select_2\@
.C_select_1\@
	db \1
	db $00
	db $42
	dw \2
.C_select_2\@
	db \3
	db $00
	db $42
	dw \4
	.endm

C_select3	macro
	db $00
	db $40,2
	db $41
	dw .C_select_1\@
	dw .C_select_2\@
	dw .C_select_3\@
.C_select_1\@
	db \1
	db $00
	db $42
	dw \2
.C_select_2\@
	db \3
	db $00
	db $42
	dw \4
.C_select_3\@
	db \5
	db $00
	db $42
	dw \6
	.endm

C_select4	macro
	db $00
	db $40,3
	db $41
	dw .C_select_1\@
	dw .C_select_2\@
	dw .C_select_3\@
	dw .C_select_4\@
.C_select_1\@
	db \1
	db $00
	db $42
	dw \2
.C_select_2\@
	db \3
	db $00
	db $42
	dw \4
.C_select_3\@
	db \5
	db $00
	db $42
	dw \6
.C_select_4\@
	db \7
	db $00
	db $42
	dw \8
	.endm

C_selset	macro
	db $43
	dw \1
	.endm


C_copy		macro
	db $50
	dw \1,\2
	.endm
C_invert	macro
	db $51
	dw \1
	.endm
C_addi		macro
	db $52
	dw \1
	db \2
	.endm
C_subi		macro
	db $52
	dw \1
	db -\2
	.endm
C_add		macro
	db $53
	dw \1,\2
	.endm
C_sub		macro
	db $54
	dw \1,\2
	.endm


C_BGM_on	macro
	db $60,\1
	.endm

C_BGM_off	macro
	db $61
	.endm
C_SE_on		macro
	db $62,\1
	.endm
C_SE_off	macro
	db $63
	.endm

